=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-golang,
               dh-systemd,
               fakeroot,
               gettext,
               golang-check.v1-dev,
               golang-go,
               golang-go-flags-dev,
               golang-go.crypto-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-gorilla-mux-dev,
               golang-github-gosexy-gettext-dev,
               golang-github-mvo5-goconfigparser-dev,
               golang-github-peterh-liner-dev,
               golang-pb-dev,
               golang-pty-dev,
               golang-github-mvo5-uboot-go-dev,
               golang-yaml.v2-dev,
               golang-gopkg-tomb.v2-dev,
               golang-websocket-dev,
               lsb-release,
               python3,
               python3-markdown,
               squashfs-tools
Standards-Version: 3.9.7
Homepage: https://github.com/ubuntu-core/snappy
Vcs-Browser: https://github.com/ubuntu-core/snappy
Vcs-Git: https://github.com/ubuntu-core/snappy.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Breaks: golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, lsb-release,
 squashfs-tools, ubuntu-core-launcher (>= 1.0.23),
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snappy, snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Manage an Ubuntu system with snappy.

Package: ubuntu-core-snapd-units
Architecture: any
Depends: snapd, ${misc:Depends}
Replaces: ubuntu-snappy (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9)
Conflicts: snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Scripts for snapd that should only run on ubuntu core systems.
 This package contains systemd services that need to run on ubuntu core
 systems.
 .
 This package should not be installed on a Desktop system.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
