=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-golang (>=1.7),
               dh-systemd,
               fakeroot,
               gettext,
               gnupg2,
               golang-go,
               golang-github-gosexy-gettext-dev,
               python3,
               python3-markdown,
               squashfs-tools
Standards-Version: 3.9.7
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://github.com/snapcore/snapd
Vcs-Git: https://github.com/snapcore/snapd.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Depends: ${misc:Depends}, golang-github-snapcore-snapd-dev
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-snappy-dev (<< 1.7.3+20160303ubuntu4), golang-github-ubuntu-core-snappy-dev (<< 2.0.6)
Replaces: golang-snappy-dev (<< 1.7.3+20160303ubuntu4), golang-github-ubuntu-core-snappy-dev (<< 2.0.6)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser,
 squashfs-tools, gnupg1 | gnupg, ubuntu-core-launcher (>= 1.0.23),
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snappy, snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Manage an Ubuntu system with snappy.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-core-snapd-units
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
