## snapd 2.20.1~14.04

=== debian/changelog ===
snapd (2.20.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1648520
    - first trusty backport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Dec 2016 22:30:50 +0100

snapd (2.20.1) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - tests: enable the ppc64el tests again
    - tests: add classic confinement test
    - tests: run snap confine tests in debian/rules already

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Dec 2016 11:53:29 +0100

snapd (2.20) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - many: implement  "snap alias --reset" using snapstate.ResetAliases
    - debian: use a packaging branch for 14.04
    - store: retry downloads on io.Copy errors and sha3 checksum errors
    - snap: show apps in `snap info`
    - store: send an explicit X-Ubuntu-Classic header to the store
    - overlord/snapstate: implement snapstate.ResetAliases
    - interfaces/builtin: add dbus interface
    - tests: fix tests on 17.04
    - store: use mocked retry strategy to make store tests faster
    - overlord: apply auto-aliases information from the snap-declaration
      on install or refresh
    - many: prepare landing on trusty
    - many: implement snap unalias using snapstate.Unalias
    - overlord/snapstate: fixing the placement/grouping of some
      functions
    - interfaces: support network namespaces via 'ip netns' in network-
      control
    - interfaces/builtin: fix pulseaudio apparmor rules
    - interfaces/builtin: add iio interface
    - tests: update custom core snap with the freshly build snap-confine
    - interfaces: use sysd.{Disable,Stop} instead of sysd.DisableNow()
    - overlord,overlord/snapstate: implement snapstate.Unalias by
      generalizing the "alias" task
    - interfaces: misc openstack snap enablement
    - cmd/snap: mock terminal.ReadPassword instead of using /dev/ptmx
    - notifications, daemon: kill the unsupported events endpoint
    - client: only allow Dangerous option in InstallPath
    - overlord/ifacestate: no interface checks if no snap id
    - many: implement alias command
    - snap: tweak snap install output as designed by Mark
    - debian: fix Pre-Depends on dpkg
    - tests: check if snap-confine --version is unknown
    - cmd/snap-confine: allow content interface mounts
    - tests: remove ppa:snappy-dev/image again
    - interfaces/apparmor: allow access to core snap
    - tests: remove snap-confine/ubuntu-core-launcher after the tests
    - overlord,overlord/snapstate: implement snapstate.Alias
    - cmd/snap: reject "snap disconnect foo"
    - debian: add split ubuntu-core-launcher and snap-confine packages
    - cmd: fix mkversion.sh and add regression test
    - overlord/snapstate: setup/remove aliases as we link/unlink snaps
    - cmd/snap,tests: alias support in snap run
    - snap/snapenv: don't obscure HOME if snap uses classic confinement
    - store: decode response.Body json inside retry loops
    - cmd/snap-confine: fix compilation on platforms with gcc < 4.9.0
    - vendor: update tomb package fixing context support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Dec 2016 22:07:08 +0100

snapd (2.19) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - cmd/snap-confine: disable support for XDG_RUNTIME_DIR
    - cmd/snap-confine/tests: fix stale path after move to snapd
    - cmd/snap-confine: don't use __attribute__((nonull))
    - snap: add description to `snap info`
    - snap: show last refresh time
    - store: switch default delta format from xdelta to xdelta3
    - interfaces: fix system-observe interface to work with ps_mem
    - debian: add missing ca-certificates dependency
    - cmd/snap-confine: add support for classic confinement
    - snapstate/backend: add backend methods to manage aliases
    - tests: re-enable snap-confine unit tests via spread
    - many: merge snap-confine into snapd
    - many: add support for classic confinement
    - snap: abort install with ctrl+c
    - cmd/snap: change terms accept URL following UX review
    - interfaces/apparmor: use distinct apparmor template for classic
    - snap: add snap size to `snap info`
    - interfaces: add unconfined access to modem-manager
    - snap: support for parsing and exposing on snap.Info aliases
    - debian: disable autopkgtests on ppc64el
    - snap: disable support for socket activation
    - tests: fix incorrect restore of the current symlink
    - asserts: introduce auto-aliases header in snap-declaration
    - interfaces/seccomp: add support for classic confinement
    - tests: do not use external snaps
    - daemon: close the dup()ed file descriptor to not leak it
    - overlord, daemon, progress: enable building snapd without CGO
    - daemon, store: let snap info find things in any channel
    - store: retry tweaks and logging
    - snap: Improve `snap --help` output as designed by Mark
    - interfaces/builtin: fix incorrect udev rule in i2c
    - overlord: increase test timeout and improve failure message
    - snap: remove unused experimental command
    - debian: remove unneeded conflict against the "snappy" package
    - daemon, strutil: move daemon.quotedNames to strutil.Quoted
    - docs: document SNAP_DEBUG_HTTP in HACKING.md
    - cmd/snap: have some completers
    - snap: support "daemon: notify" in snap.yaml
    - snap: fix try command when daemon linie is added
    - interfaces: apparmor support for classic confinement
    - debian/rules: build with -buildoptions=pie
    - tests: include /boot in saved state (including bootenv and any
      kernels)
    - daemon: ensure `snap try` installs core if it's missing
    - tests: save/restore /snap/core/current symlink
    - tests: decrease the number of expected featured apps
    - tests: add set -e to the prepare ssh script
    - cmd/snap: add tests for section completion; fix bugs.
    - cmd/snap: document 'snap list --all'


