=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bash-completion,
               debhelper (>= 9),
               dh-apparmor,
               dh-autoreconf,
               dh-golang (>=1.7),
               dh-systemd,
               fakeroot,
               gettext,
               gnupg2,
               golang-any (>=2:1.6) | golang-1.6,
               indent,
               init-system-helpers,
               libapparmor-dev,
               libglib2.0-dev,
               libseccomp-dev (>= 2.1.1-1ubuntu1~trusty1),
               libudev-dev,
               pkg-config,
               python3,
               python3-docutils,
               python3-markdown,
               squashfs-tools,
               udev
Standards-Version: 3.9.7
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://github.com/snapcore/snapd
Vcs-Git: https://github.com/snapcore/snapd.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Depends: golang-github-snapcore-snapd-dev, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
        golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
          golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: adduser,
         apparmor (>= 2.10.95-0ubuntu2.2),
         ca-certificates,
         cgroup-lite,
         gnupg1 | gnupg,
         linux-generic-lts-xenial,
         snap-confine (= ${binary:Version}),
         squashfs-tools,
# only needed on trusty to pull in the right version.
         sudo (>= 1.8.9p5-1ubuntu1.3),
         systemd (>= 204-5ubuntu20.20),
         ubuntu-core-launcher (= ${binary:Version}),
# only needed on trusty to pull in the right version.
         util-linux (>=2.20.1-5.1ubuntu20.9),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Install, configure, refresh and remove snap packages. Snaps are
 'universal' packages that work across many different Linux systems,
 enabling secure distribution of the latest apps and utilities for
 cloud, servers, desktops and the internet of things.
 .
 This is the CLI for snapd, a background service that takes care of
 snaps on the system. Start with 'snap list' to see installed snaps.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-core-snapd-units
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: snap-confine
Architecture: any
Breaks: ubuntu-core-launcher (<< 1.0.32)
Replaces: ubuntu-core-launcher (<< 1.0.32)
Depends: apparmor (>= 2.10.95-0ubuntu2.2), ${misc:Depends}, ${shlibs:Depends}
Description: Support executable to apply confinement for snappy apps
 This package contains an internal tool for applying confinement to snappy app.
 The executable (snap-confine) is ran internally by snapd to apply confinement
 to the started application process. The tool is written in C and carefully
 reviewed to limit the attack surface on the security model of snapd.

Package: ubuntu-core-launcher
Architecture: any
Depends: snap-confine (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Description: Launcher for ubuntu-core (snappy) apps
 This package contains the launcher for launching snappy applications
